# Uses of Class
org.apache.avro.idl.IdlParser.MainSchemaDeclarationContext

## Uses of IdlParser.MainSchemaDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.MainSchemaDeclarationContext
Modifier and Type
Field
Description
`IdlParser.MainSchemaDeclarationContext`
IdlParser.IdlFileContext.`mainSchema`
Methods in org.apache.avro.idl that return IdlParser.MainSchemaDeclarationContext
Modifier and Type
Method
Description
`IdlParser.MainSchemaDeclarationContext`
IdlParser.IdlFileContext.`mainSchemaDeclaration()`
`final IdlParser.MainSchemaDeclarationContext`
IdlParser.`mainSchemaDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.MainSchemaDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
IdlListener.`enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
IdlBaseListener.`exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
IdlListener.`exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.